Subject: Re: bug#57802: MBR problem

From: "Brian C. Lane" <[email-masked]>
Date: Wed, 14 Sep 2022 09:37:02 -0700

On Wed, Sep 14, 2022 at 01:31:41PM +0200, Thomas wrote:
> Hello,
> 
> I discovered that Gparted writes to the MBR (0 to 446 sectors) when it is
> empty.
> 
> Yesterday i used a live cd of ubuntu to delete a partition of my disk with
> Gparted. And my pc didn't boot after that.
> 
> My os is a Fedora server installed in UEFI. Note that Grub is not installed
> in the MBR or in the partition. I don't know how but it boots fine like
> that.
> 
> 
> So i had to delete the code Gparted writed in the MBR (0 to 446 sectors) to
> boot again ("sudo dd if=/dev/zero of=/dev/sda bs=446 count=1").
> 
> I think Gparted should not touch the MBR (0 to 446 sectors) when it is not
> ask by the user.

parted is not gparted (see https://gparted.org/), and parted only
writes the bootloader code when using a msdos disklabel. While it is
possible to use a msdos disklabel with UEFI, it should be using GPT.

I'm also not sure why a UEFI system wouldn't boot with the MBR written.
It should just ignore it and use the ESP partition.

Brian

-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted - pykickstart